\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{isebis}[2004/01/01 The Book in Series class]
\usepackage{fancyhdr,psfig}                    
\DeclareOption{green}{\renewcommand{\headlinecolor}{\color{green}}}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{book}}
\ProcessOptions\relax
\LoadClass[11pt,twoside,notitlepage]{book}
\RequirePackage{color}

%It redefines \section

\renewcommand\section{\@startsection{section}{1}{\z@}%
                       {-18\p@ \@plus -4\p@ \@minus -4\p@}%
                       {12\p@ \@plus 4\p@ \@minus 4\p@}%
                       {\normalfont\large\bfseries\boldmath\centering\sc
                        \pretolerance=10000 }}
\renewcommand\subsection{\@startsection{subsection}{2}{\z@}%
                       {-18\p@ \@plus -4\p@ \@minus -4\p@}%
                       {8\p@ \@plus 4\p@ \@minus 4\p@}%
                       {\normalfont\normalsize\bfseries\boldmath
                        \rightskip=\z@ \@plus 8em\pretolerance=10000 }}
\renewcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
                       {-18\p@ \@plus -4\p@ \@minus -4\p@}%
                       {-0.5em \@plus -0.22em \@minus -0.1em}%
                       {\normalfont\normalsize\bfseries\boldmath}}
\renewcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
                       {-12\p@ \@plus -4\p@ \@minus -4\p@}%
                       {-0.5em \@plus -0.22em \@minus -0.1em}%
                       {\normalfont\normalsize\itshape}} 


%It redefines \chapter

\renewcommand{\thechapter}{\Roman{chapter}} 
\def\@makechapterhead#1{%
 \vspace*{50\p@}%
  {\ifnum \c@secnumdepth >\m@ne
      \if@mainmatter
        \Huge\bfseries \@chapapp{} \thechapter
        \nobreak
        \vskip 50\p@
      \fi
    \fi
    \centering
    \interlinepenalty\@M
    \Huge\bfseries\sc#1\nobreak
    \vskip 20\p@
  }}

\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{{\bfseries #1.} #2}%
  \ifdim \wd\@tempboxa >\hsize
    {\bfseries #1.} #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}


\renewcommand\@makefnmark{\@textsuperscript{\small\thechapter.\@thefnmark}}


%It also sets the three essential things. 
\setlength{\textheight}{8.5in}   		
\setlength{\textwidth}{5.5in}   
\setlength{\oddsidemargin}{0.5in}
\setlength{\evensidemargin}{0.5in}

 
\endinput
